Summary:	Plugins for the Eye of GNOME image viewer
Name:     	eog-plugins
Version:	3.2.1
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphical desktop/GNOME
Source0: 	http://download.gnome.org/sources/%{name}/3.2/%{name}-%{version}.tar.xz
URL:		http://www.gnome.org/projects/eog/
BuildRequires:  intltool >= 0.40.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 2.99.3
BuildRequires:  pkgconfig(eog) >= 2.91.92
BuildRequires:	pkgconfig(libpeas-gtk-1.0) >= 0.7.4
BuildRequires:	pkgconfig(champlain-0.12)
BuildRequires:	pkgconfig(champlain-gtk-0.12)
BuildRequires:  pkgconfig(libexif) >= 0.6.16
BuildRequires:  pkgconfig(libgdata) >= 0.6.0
Requires:	eog

%description
It's a collection of plugins for use with the Eye of GNOME Image Viewer.
The included plugins provide a map view for where the picture was taken,
display of Exif information, Zoom to fit, etc.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name} --with-gnome

#we don't want these
find %buildroot -name '*.la' | xargs rm

%files -f %{name}.lang
%doc AUTHORS NEWS README
%{_libdir}/eog/plugins/exif-display.plugin
%{_libdir}/eog/plugins/fit-to-width.plugin
%{_libdir}/eog/plugins/map.plugin
%{_libdir}/eog/plugins/postasa.plugin
%{_libdir}/eog/plugins/pythonconsole
%{_libdir}/eog/plugins/pythonconsole.plugin
%{_libdir}/eog/plugins/send-by-mail.plugin
%{_libdir}/eog/plugins/slideshowshuffle.plugin
%{_datadir}/eog/plugins/exif-display
%{_datadir}/eog/plugins/postasa
%{_libdir}/eog/plugins/*.so*
%{_libdir}/eog/plugins/*.py*
%{_datadir}/glib-2.0/schemas/org.gnome.eog.plugins.exif-display.gschema.xml

%post
/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas


%changelog
* Sun Apr 01 2012 Neal <nealbrks0 at gmail dot com> 3.2.1-2pclos2012
- rebuild

* Sun Oct 23 2011 Texstar <texstar at gmail.com> 3.2.1-1pclos2011
- 3.2.1

* Tue Sep 27 2011 Texstar <texstar at gmail.com> 3.2.0-1pclos2011
- 3.2.0
